// print text to serial
// Copyright 2016 Tero Karvinen & Kimmo Karvinen http://BotBook.com

float x = -8888;
const int ledPin = 13;

void setup() {
  Serial.begin(115200); // bit per second
  pinMode(ledPin, OUTPUT);
}

String serialHttpGet(String url) {
  Serial.print("GET ");
  Serial.println(url);
  return Serial.readStringUntil('\n');
}

float serialHttpGetFloat(String url) {
  String s = serialHttpGet(url);
  return s.toFloat();
}

void loop() {
  x = serialHttpGetFloat("http://139.162.200.127/last/dl55iLOgVuL");
  if (x > 55) {
    digitalWrite(ledPin, HIGH);
  } else {
    digitalWrite(ledPin, LOW);
  }
  delay(500); // milliseconds
}

